image: python:3.8

pages:
  script:
  ## Instal tools
  #- apk update && apk add make
  - pip install --upgrade pip wheel
  ## Install deps
  - pip install --upgrade -r requirements.txt
  ## Make metadata of the package available
  - pip install .
  ## Build coumentation
  - cd doc
  - make html
  - mv build/html/ ../public/

  artifacts:
    paths:
    - public
  only:
  - master
